Due to some maintenance issues, this service has been switched in read-only mode, you can find more information about the why

and how to migrate your plugin documentation in this blogpost

Skip to end of metadata
Go to start of metadata

Installation Method

ZAP Jenkins plugin requires Zed Attack Proxy 2.5.0+ to run and can be installed via either of the following methods:

Recommended: installation is System Installed.

  • Custom Tools(info) Documentation, how to setup ZAP for use with Jenkins and the Custom Tools plugin can be found here.

    Info: A generic tool installer. You define how tools get installed, and the plugin will automatically install them when needed.

  • System Installed(info) Documentation, how to setup ZAP for use with Jenkins as a System Installation can be found here.

    Info: Requires ZAPROXY_HOME to be defined as a System Environment Variable.

  • No labels